2015-08-08 109 views
0

我是elasticsearch的新手,我错误地在我的服务器中安装了0.90.7版本。现在我想为此安装屏蔽,我必须将我的elasticsearch版本升级到1.5或更高版本。所以我需要在不丢失现有数据的情况下升级版本。任何人都可以帮助我如何将版本升级到1.6.1?elasticsearch的升级版本从0.90.7升级到1.6.1

回答

0

您可以从0.90.x升级Elasticsearch版本通过以下方式

Cluster restart upgrade process

到1.X升级Elasticsearch之前,这是一个好主意,咨询breaking changes文档。

根据Elasticsearch文档在执行升级之前,最好在系统上备份数据。